Headless LMS

Connect an integration (stores its secrets encrypted)

POST /api/integrations. Connect an integration (stores its secrets encrypted). Headless LMS Integrations API reference.

POST
/api/integrations

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/integrations" \  -H "Content-Type: application/json" \  -d '{    "integrationId": "string",    "secrets": {      "property1": null,      "property2": null    }  }'
{  "orgId": "string",  "id": "string",  "integrationId": "string",  "config": {    "property1": null,    "property2": null  },  "active": true,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}